Deposit requests

Get the attachment

GET/v1/deposit-requests/{id}/attachment

Retrieves the attachment descriptor with a signed download URL.

API key · or dashboard session.

Request

Shell
curl -fsS "$API/v1/deposit-requests/dr_0198f80c-…/attachment" \
  -H "Authorization: Bearer $PAYDAY_API_KEY"

Response

200 OK
{
  "id": "att_0198f80c-8d2f-7dc1-a369-90556a64f700",
  "filename": "INV-1042.pdf",
  "mime_type": "application/pdf",
  "byte_length": "48211",
  "sha256": "0x9f…",
  "download_url": "https://…"
}

Path parameters

iddr_ idrequired

Response

idatt_ id
filename, mime_typestring
mime_type is application/pdf.
byte_lengthstring
Decimal.
sha256string
0x hex. Committed into the deposit address.
download_urlstring
Signed. Valid 300 seconds.

Status codes

  • 404attachment_not_found No attachment.